%define url_ver %(echo %{version} | cut -d. -f1,2)

%define gdate 20120819
%define rel	3

Summary: 	A dictionary support for Xfce
Name: 		xfce4-dict
Version: 	0.6.0
Release: 	%mkrel 6.git%{gdate}.%{rel}
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-dict/
#Source0:	http://archive.xfce.org/src/apps/xfce4-dict/%{url_ver}/%{name}-%{version}.tar.bz2
#
# git clone git://git.xfce.org/apps/xfce4-dict
# cd xfce4-dict
# git archive --format=tar --prefix=xfce4-dict-20120819/ master | xz > ../xfce4-dict-20120819.tar.xz
#
Source0:	%{name}-%{gdate}.tar.xz
Patch0:		xfce4-dict-20120819-fix-includes.patch
Patch1:		xfce4-dict-automake1.13.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.10.0
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.10.0
# fox xdt-autogen
BuildRequires:	xfce4-dev-tools
Requires:	xfce4-panel >= 4.10.0
Suggests:	enchant

%description
This Xfce program allows you to search different kinds of dictionary
services for words or phrases and shows you the result.Currently you 
can query a Dict server(RFC 2229), any online dictionary service by 
opening a web browser or search for words using the aspell/ispell 
program.

%prep
%setup -q -n %{name}-%{?gdate:%{gdate}}%{!?gdate:%{version}}
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-plugin

%files -f %{name}-plugin.lang
%doc ChangeLog AUTHORS
%{_bindir}/%{name}
%{_libdir}/xfce4/panel/plugins/libxfce4dict.so
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/xfce4/panel/plugins/%{name}-plugin.desktop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-6.git20120819.3.mga3
+ Revision: 386807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.6.0-6.git20120819.2.mga3
+ Revision: 338172
- add patch to fix build with automake 1.13

* Sun Aug 19 2012 wally <wally> 0.6.0-6.git20120819.1.mga3
+ Revision: 282167
- use latest git snapshot
- clean .spec
- imported package xfce4-dict

